A guide to using Panda
<<< Previous |  | Next >>>

# panda_imageboxrot

## Name

panda_imageboxrot -- insert an image into the PDF document at the specified location

## Synopsis

     #include<panda/constants.h>
     #include<panda/functions.h>
     void panda_panda_imageboxrot (panda_pdf * output, panda_page * target, int top, int left, int bottom, int right, double angle, char *filename, int type);

## DESCRIPTION

This function call inserts an image into the PDF document at the specified location, including the ability to rotate the image on the page. It should be noted that xpdf will sometimes make the rotated image look quite sickly. This is in fact a bug in xpdf (which has beenr eported), and not a bug in Panda. The image types accepted by this call are: panda_image_tiff, panda_image_jpeg and panda_image_png.

## RETURNS

Nothing

## EXAMPLE

#include<panda/constants.h> #include<panda/functions.h> panda_pdf *demo; panda_page *currPage; panda_init (); if ((demo = panda_open ("output.pdf", "w")) == NULL) panda_error (panda_true, "demo: could not open output.pdf to write to."); currPage = panda_newpage (demo, panda_pagesize_a4); panda_imagebox (demo, currPage, 0, 0, currPage->height / 2, currPage->width, 45.0, "input.tif", panda_image_tiff);

## SEE ALSO

panda_imagebox

## VERSION

This documentation was generated for Panda 0.4.2 by autodocbook (http://www.stillhq.com).

## AUTHOR

Panda is under development by Michael Still (mikal@stillhq.com). All code is Copyright Michael Still 2000 and 2001, and is released under the GNU GPL. Code submissions are welcomed. Contact Michael at the address above if you have something you would like to contribute.

## BUGS

There are no known bugs in Panda. If you find one, please contact mikal@stillhq.com and let me know.

<<< Previous | Home | Next >>>
panda_imageboxrot.sgml | Up | panda_imagebox.sgml